<?php

/*
Plugin Name: Bootstrap iFrames
Description: Add the bootstrap responsive classes around embeds
Author: Daniel Baron <daniel@barooney.com>
Version: 1.0
Author URI: http://barooney.com/
License:     GPL3
 
Slack Publish is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 2 of the License, or
any later version.
 
Slack Publish is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.
 
You should have received a copy of the GNU General Public License
along with Slack Publish. If not, see https://www.gnu.org/licenses/gpl.txt.
*/

class Bootstrap_Iframe {

	public function __construct() {
		add_action( 'admin_print_footer_scripts', array( $this, 'add_bootstrap_iframe_button' ) );
	}

	function add_bootstrap_iframe_button() {
		if ( wp_script_is( 'quicktags' ) ) {
?>
		<script type="text/javascript">
			QTags.addButton( 'bs_iframe_169', 'BS iFrame 16:9', function( arg1, textframe ) {
				var marker = textframe.selectionStart,
					before = textframe.value.substring(0, marker),
				    after  = textframe.value.substring(marker);
					iframe = prompt( "Put in the embed code:" );
				if ( 0 < iframe.indexOf( 'class="' ) ) {
					iframe = iframe.replace('class="', 'class="embed-responsive-item ');
				} else {
					iframe = iframe.replace('<iframe ', '<iframe class="embed-responsive-item" ');
				}
				textframe.value = before + "\n<div class=\"embed-responsive embed-responsive-16by9\">\n"  + iframe + "\n</div>\n" + after;
			}, '', 'f', 'BS iFrame', 200 );

			QTags.addButton( 'bs_iframe_43', 'BS iFrame 4:3', function( arg1, textframe ) {
				var marker = textframe.selectionStart,
					before = textframe.value.substring(0, marker),
				    after  = textframe.value.substring(marker);
					iframe = prompt( "Put in the embed code:" );
				if ( 0 < iframe.indexOf( 'class="' ) ) {
					iframe = iframe.replace('class="', 'class="embed-responsive-item ');
				} else {
					iframe = iframe.replace('<iframe ', '<iframe class="embed-responsive-item" ');
				}
				textframe.value = before + "\n<div class=\"embed-responsive embed-responsive-4by3\">\n"  + iframe + "\n</div>\n" + after;
			}, '', 'f', 'BS iFrame', 201 );
		</script>
<?php
	}
}

}

add_action( 'admin_init', 'bootstrap_iframe_init' );
function bootstrap_iframe_init() {
	new Bootstrap_Iframe();
}